> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Check boleto

> Check a boleto barcode or line code



## OpenAPI

````yaml api-reference/banking-api/openapi.json POST /banking/cashout/boleto/check
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cashout/boleto/check:
    post:
      tags:
        - cashout
      summary: Check boleto
      description: Check a boleto barcode or line code
      operationId: TrioFoundationWeb.Banking.Cashout.Boleto.BoletoController.check
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Check_boleto_request_params'
        description: Check boleto payload
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Create_Check_Boleto_Response'
          description: Created
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
      security:
        - {}
        - basic:
            - Base64encode(<client_id>:<client_secret>)
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    Check_boleto_request_params:
      description: Check boleto request params
      example:
        code: '81620000001482115872026022712600000000001207'
      properties:
        code:
          description: Boleto barcode or digitable_line
          type: string
      required:
        - code
      title: Check_boleto_request_params
      type: object
    Create_Check_Boleto_Response:
      description: Response schema for a single boleto generation
      example:
        data:
          amount:
            amount: 100
            currency: BRL
          barcode: '63391136900000001000001112265643600168303958'
          company_id: 1a760495-cb95-4023-96e8-0cff5776b011
          digitable_line: '63390001161226564360601683039588113690000000100'
          id: 123e4567-e89b-12d3-a456-426614174000
          inserted_at: '2026-02-20T17:38:42.001475Z'
          name: Trio Pagamentos S.A.
          org_id: 1a760495-cb95-4023-96e8-0cff5776b011
          payer_name: '12345678910'
          payer_tax_number: NOME DO PAYER
          tax_number: '05964110000197'
          timestamp: '2026-02-20T17:38:42.001475Z'
          type: boleto
          updated_at: '2026-02-20T17:38:42.001475Z'
      properties:
        data:
          properties:
            amount:
              properties:
                amount:
                  description: Amount in the specified currency in cents
                  type: number
                currency:
                  description: Currency code
                  type: string
              type: object
            barcode:
              description: Boleto barcode
              type: string
            company_id:
              $ref: '#/components/schemas/UUID'
            digitable_line:
              description: Boleto digitable line
              type: string
            id:
              $ref: '#/components/schemas/UUID'
            inserted_at:
              description: Inserted at
              type: string
            name:
              description: Name of the boleto beneficiary
              type: string
            org_id:
              $ref: '#/components/schemas/UUID'
            payer_name:
              description: Payer name
              type: string
            payer_tax_number:
              description: Payer tax number
              type: string
            tax_number:
              description: Tax number of the boleto beneficiary
              type: string
            timestamp:
              description: Timestamp of the check
              type: string
            type:
              description: Boleto type
              type: string
            updated_at:
              description: Updated at
              type: string
          type: object
      title: Create_Check_Boleto_Response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
  securitySchemes:
    basic:
      scheme: basic
      type: http

````